### File

`packages/eui-dynamic-forms-ui/src/lib/core/base-dyn/base-dyn.component.ts`

### Metadata

selector | `ux-dyn-base-dyn`
styleUrls | `./base-dyn.component.scss`
templateUrl | `./base-dyn.component.html`

### Index

###### Properties
Optional childrenConfig context Optional dynFormApi Optional fieldId Optional frameId Optional genericService Optional globalStore isEditMode Optional parent Optional parentData Optional setId
###### Methods
getDynFormApi getFieldData saveFieldData

### Constructor

`constructor(config: BaseDynConfig)`
Parameters :
Name | Type | Optional
config | `BaseDynConfig` | No

### Methods

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`
Parameters :
Name | Type | Optional
key | `string` | No
Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`
Parameters :
Name | Type | Optional
key | `string` | No
val | `any` | No
Returns : `void`

### Properties

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

# result-matching ""

# No results matching ""